Subject: bug#12761: bug#15009: cl-lib symbols in lisp-font-lock-keywords

From: Juanma Barranquero <[email-masked]>
Date: Fri, 2 Aug 2013 19:05:09 +0200

> Dupe of http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12761

Oops, sorry.

Anyway, I see there was mild consensus but then things stalled.
Christopher Schmidt's add-cl-font-lock-keywords is a good start but it
just font-locks the keyword, not the name for cl-defun, etc.

We should go forward with some fix, because there are currently ~90
uses of cl-defstruct/cl-defun in the lisp sources, and the number will
likely go up.